# module Kernel

Since Ruby is very dynamic, methods added to the ancestors of BlankSlate after BlankSlate is defined will show up in the list of available BlankSlate methods. We handle this by defining a hook in the Object and Kernel classes that will hide any method defined after BlankSlate has been loaded.

### Public Class Methods

blank_slate_method_added(name)
Alias for: method_added
method_added(name) click to toggle source

Detect method additions to Kernel and remove them in the BlankSlate class.

    # File lib/blankslate.rb, line 89
    def method_added(name)
      result = blank_slate_method_added(name)
      return result if self != Kernel
      BlankSlate.hide(name)
      result
    end

Also aliased as: blank_slate_method_added